#
# spec file for package x2x
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           x2x
Version:        1.30_beta
Release:        245.3
Summary:        X Window System Display Remote Control
License:        GPL-2.0+
Group:          System/X11/Utilities
Url:            http://x2x.dottedmag.net/
#Source:      http://gatekeeper.dec.com/pub/DEC/SRC/x2x/x2x-1.27.tar.gz
Source:         http://freshmeat.net/redir/x2x/11816/url_tgz/x2x-1.30-beta.tar.gz
Patch0:         x2x-1.30-beta.dif
Patch1:         x2x-1.30-beta-keycodes.dif
Patch2:         x2x-1.30-beta-buttonmasks.dif
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xtst)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
x2x allows the keyboard and mouse on one ("from") X Window System
display to be used to control another ("to") X Window System display.

%prep
%setup -q -n x2x-1.30-beta
%patch0
%patch1
%patch2

%build
xmkmf -a
make %{?_smp_mflags} CCOPTIONS="%{optflags} -fno-strict-aliasing"

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
make install.man DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/x2x
%{_mandir}/man1/x2x.1x.gz

%changelog
* Wed Nov  5 2014 dimstar@opensuse.org
- Add imake BuildRequires: needed for xmkmf command.
- Add pkgconfig(xscrnsaver) BuildRequires: lost build dependency
  when xorg-x11-devel metapackage has been removed from the chain.
* Sun Oct 19 2014 crrodriguez@opensuse.org
- run spec cleaner
- Discontinue use of xorg-x11-devel metapackage.
* Wed Feb  1 2012 cfarrell@suse.com
- license update: GPL-2.0+
  keymap.c and x2x.c seem to make it necessary to license under GPL-2.0+
  irrespective of the ifdef in lawyerese.c which would seem to make the GPL
  only applicable to windows systems
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Fri Dec  4 2009 seife@opensuse.org
- de-fuzz the x2x-1.30-beta-keycodes.dif patch
* Mon Jul 14 2008 werner@suse.de
- Make mouse buttons work window change mode even if other masks
  are active like NumLock.
* Fri Jan  4 2008 werner@suse.de
- Add patch from http://x2x.dottedmag.net/ to repository to avoid
  mixed up key symbols of the `from' and `to` display (bug #303870
  and bug #351545).
* Wed Aug  2 2006 werner@suse.de
- Force both display to be used synchronous
- Release not symbols but real keys to avoid problem with e.g.
  shifted keys and their active symbols
- Use a signal handler on SIGINT/SIGTERM to restore keyboard
* Mon Jul 24 2006 mmarek@suse.de
- fix filelist for build with modular Xorg
* Thu Mar 16 2006 werner@suse.de
- Let NumLock and CapsLock alive in both directions
* Wed Mar 15 2006 werner@suse.de
- Wake and use slave display even if DPMS was activated
- Use RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Aug  5 2004 sndirsch@suse.de
- updated to version 1.30-beta
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Jun 11 2001 pblaha@suse.cz
- mv x2x.1 -> x2x.man for build with xmkmf
* Fri Apr 28 2000 smid@suse.cz
- buildroot added
* Wed Feb  9 2000 sndirsch@suse.de
- changed group tag
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jul  4 1999 sndirsch@suse.de
- created package
